Closed Bug 922972 Opened 6 years ago Closed 6 years ago

[Flatfish][Music] Cannot play music on Jelly Bean(4.2)-based gonk

Categories

(Firefox OS Graveyard :: Gaia::Music, defect)

Other
Gonk (Firefox OS)
defect
Not set

Tracking

(blocking-b2g:koi+, b2g-v1.2 fixed)

RESOLVED FIXED
blocking-b2g koi+
Tracking Status
b2g-v1.2 --- fixed

People

(Reporter: atsai, Unassigned)

References

Details

(Whiteboard: [flatfishRun1, flatfish only])

Unable to play music on flatfish

[Environment]
DuT:      Flatfish
Gaia:     def8e152db6a317162c03a316f68c409f3af3979
Gecko:    6ae6fea8d39011d1f9abfdb334ca800bfd5b5227
Gecko after patch: 9eedb6201641498fee3fcc654100058ca404ac40
Blocks: flatfish
QA Contact: atsai
Whiteboard: flatfishRun1
Is it mp3 or ogg?

If can't play mp3 its because porting is in progress.
Flags: needinfo?(atsai)
I tested w/ mp3. If so, we can hold this bug until the porting is done. I'll find the bug of decoder porting job and set the dependency to it.
Flags: needinfo?(atsai)
It's a must for flatfish. Marked as koi+ according to triage result.
blocking-b2g: --- → koi+
Whiteboard: flatfishRun1 → [flatfishRun1, flatfish only]
Blocks: 923397
Depends on: 920992
Summary: [Flatfish][Music] Cannot play music → [Flatfish][Music] Cannot play music on Android 4.2
Depends on: 924015
No longer depends on: 920992
hi Thomas, 

are you able to assign someone to work on this bug? this should be related to 4.2 porting issue.
Flags: needinfo?(ttsai)
Flags: needinfo?(ttsai) → needinfo?(vliu)
OS: Mac OS X → Gonk (Firefox OS)
Hardware: x86 → Other
Summary: [Flatfish][Music] Cannot play music on Android 4.2 → [Flatfish][Music] Cannot play music on Jelly Bean-based gonk
I think the title might missleading people that we try to solve android issue..., So change it
Add (4.2) to the summary. JB4.3 gonk is already supported.
Summary: [Flatfish][Music] Cannot play music on Jelly Bean-based gonk → [Flatfish][Music] Cannot play music on Jelly Bean(4.2)-based gonk
(In reply to Al Tsai [:atsai] from comment #2)
> I tested w/ mp3. If so, we can hold this bug until the porting is done. I'll
> find the bug of decoder porting job and set the dependency to it.

Since the patch of bug 922510 has landed, I can play ogg and mp3 on Nexus-4 device. Currently Flatfish stands on v1.2 so patch in bug 922510 doesn't uplift to v1.2. For the mp3 case it need the patch in bug 922510 landed into v1.2.
Flags: needinfo?(vliu)
(In reply to Vincent Liu[:vliu] from comment #7)
> Since the patch of bug 922510 has landed, I can play ogg and mp3 on Nexus-4
> device. 

vliu, nexus-4 build uses JB4.3, not JB4.2. So, it seem not related to bug 922510, but to Bug 871364. Can you explain about it more?
Flags: needinfo?(vliu)
(In reply to Sotaro Ikeda [:sotaro] from comment #8)
> (In reply to Vincent Liu[:vliu] from comment #7)
> > Since the patch of bug 922510 has landed, I can play ogg and mp3 on Nexus-4
> > device. 
> 
> vliu, nexus-4 build uses JB4.3, not JB4.2. So, it seem not related to bug
> 922510, but to Bug 871364. Can you explain about it more?

Sorry for the misleading and let me explain more. Currently the environment for flatfish is based on JB4.2.2. To sync with partner's code base, we need to have a reference platform run on Nexus-4. Based on this, we create a manifest file for Nexus-4 in our local side which includes:
  1). Gecko/Gaia synced with master branch.
  2). Others like frameworks/ are reference to JB4.2.2 aosp.  

The patch in bug 922510 is proposed to support GonkNativeWindow to support android JB 4.2.2. That's why this bug is relative to bug 922510.
Flags: needinfo?(vliu)
Currently the latest version of flatfish can both play *.mp3 and *.ogg so I believe this bug can be closed. Reopen it if anyone has concern. Thanks.
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.